repos:
  - repo: https://github.com/pre-commit/mirrors-clang-format
    rev: 6d365699efc33b1b432eab5b4ae331a19e1857de # frozen: v18.1.2
    hooks:
      - id: clang-format
        exclude: ".*third_party/.*"
  - repo: https://github.com/cheshirekow/cmake-format-precommit
    rev: e2c2116d86a80e72e7146a06e68b7c228afc6319 # frozen: v0.6.13
    hooks:
      - id: cmake-format
